Loading...
Searching...
No Matches
Opm::Logger Class Reference

## Public Member Functions

void | addMessage (int64_t messageType, const std::string &message) const
void | addTaggedMessage (int64_t messageType, const std::string &tag, const std::string &message) const
bool | enabledMessageType (int64_t messageType) const
void | addMessageType (int64_t messageType, const std::string &prefix)
int64_t | enabledMessageTypes () const
void | addBackend (const std::string &name, std::shared_ptr< LogBackend > backend)
bool | hasBackend (const std::string &name)
bool | removeBackend (const std::string &name)
void | removeAllBackends ()
template<class BackendType>
std::shared_ptr< BackendType > | getBackend (const std::string &name) const
template<class BackendType>
std::shared_ptr< BackendType > | popBackend (const std::string &name)

## Static Public Member Functions

static bool | enabledDefaultMessageType (int64_t messageType)

The documentation for this class was generated from the following files:

- opm/common/OpmLog/Logger.hpp
- opm/common/OpmLog/Logger.cpp